# spec file for php-phpseclib-file-asn1
#
# Copyright (c) 2014-2017 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear:       %global __pear       %{_bindir}/pear}
%global pear_name    File_ASN1
%global pear_channel phpseclib.sourceforge.net

Name:           php-phpseclib-file-asn1
Version:        1.0.13
Release:        1%{?dist}
Summary:        Pure-PHP ASN1 parser

Group:          Development/Libraries
# License text included in the header
License:        MIT
URL:            http://%{pear_channel}
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildArch:      noarch
BuildRequires:  php-pear(PEAR)
BuildRequires:  php-channel(%{pear_channel})

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-date
Requires:       php-pcre
Requires:       php-pear(PEAR)
Requires:       php-channel(%{pear_channel})

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
Pure-PHP ASN1 parser.


%prep
%setup -q -c
cd %{pear_name}-%{version}
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/File/


%changelog
* Tue Dec 18 2018 Remi Collet <remi@remirepo.net> - 1.0.13-1
- update to 1.0.13 (no change)

* Mon Nov  5 2018 Remi Collet <remi@remirepo.net> - 1.0.12-1
- update to 1.0.12

* Mon Apr 16 2018 Remi Collet <remi@remirepo.net> - 1.0.11-1
- update to 1.0.11

* Tue Feb 20 2018 Remi Collet <remi@remirepo.net> - 1.0.10-1
- Update to 1.0.10 (no change)

* Wed Nov 29 2017 Remi Collet <remi@remirepo.net> - 1.0.9-1
- Update to 1.0.9 (no change)

* Mon Oct 23 2017 Remi Collet <remi@remirepo.net> - 1.0.8-1
- Update to 1.0.8

* Tue Jun  6 2017 Remi Collet <remi@remirepo.net> - 1.0.7-1
- Update to 1.0.7 (no change)

* Mon May  8 2017 Remi Collet <remi@remirepo.net> - 1.0.6-1
- Update to 1.0.6

* Tue Oct 25 2016 Remi Collet <remi@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5 (no change)

* Tue Oct 04 2016 Remi Collet <remi@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4

* Fri Sep 02 2016 Remi Collet <remi@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3

* Wed May 11 2016 Remi Collet <remi@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2 (no change)

* Tue Jan 19 2016 Remi Collet <remi@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Mon Aug 03 2015 Remi Collet <remi@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Tue Feb 10 2015 Remi Collet <remi@fedoraproject.org> - 0.3.10-1
- Update to 0.3.10

* Thu Jan 15 2015 Remi Collet <remi@fedoraproject.org> - 0.3.9-1
- Initial packaging, version 0.3.9
